## golang-github-containers-dnsname 1.3.1+ds1

=== Makefile ===
export GOPROXY=https://proxy.golang.org

GO ?= go
EPOCH_TEST_COMMIT ?= 394c06f491fe9f1c28a410e3b0b91916a5119406
DESTDIR ?=
LIBEXECDIR ?= ${PREFIX}/libexec/cni
PREFIX ?= /usr/local

PROJECT := github.com/containers/dnsname
FIRST_GOPATH := $(firstword $(subst :, ,$(GOPATH)))
GOPKGDIR := $(FIRST_GOPATH)/src/$(PROJECT)
GOPKGBASEDIR ?= $(shell dirname "$(GOPKGDIR)")

SELINUXOPT ?= $(shell test -x /usr/sbin/selinuxenabled && selinuxenabled && echo -Z)

COMMIT_NO ?= $(shell git rev-parse HEAD 2> /dev/null || true)
GIT_COMMIT ?= $(if $(shell git status --porcelain --untracked-files=no),${COMMIT_NO}-dirty,${COMMIT_NO})

LDFLAGS_DNSNAME ?= -X main.gitCommit=$(GIT_COMMIT)

GO_BUILD=$(GO) build
# Go module support: set `-mod=vendor` to use the vendored sources
ifeq ($(shell go help mod >/dev/null 2>&1 && echo true), true)
	GO_BUILD=GO111MODULE=on $(GO) build -mod=vendor
endif

GOBIN := $(shell $(GO) env GOBIN)
ifeq ($(GOBIN),)
GOBIN := $(FIRST_GOPATH)/bin
endif

all: binaries

validate: install.tools gofmt .gitvalidation lint

gofmt:
	find . -name '*.go' ! -path './vendor/*' -exec gofmt -s -w {} \+
	git diff --exit-code


binaries:
	$(GO_BUILD) -ldflags '$(LDFLAGS_DNSNAME)' -o bin/dnsname github.com/containers/dnsname/plugins/meta/dnsname

.PHONY: .gitvalidation
.gitvalidation:
	GIT_CHECK_EXCLUDE="./vendor" $(GOBIN)/git-validation -v -run DCO,short-subject,dangling-whitespace -range $(EPOCH_TEST_COMMIT)..$(HEAD)

.PHONY: install.tools
install.tools: .install.gitvalidation .install.ginkgo .install.golangci-lint

lint: .install.golangci-lint
	$(GOBIN)/golangci-lint run

define go-get
	env GO111MODULE=off \
		$(GO) get -u ${1}
endef

.install.ginkgo:
	if [ ! -x "$(GOBIN)/ginkgo" ]; then \
		$(call go-get,github.com/onsi/ginkgo/ginkgo); \
	fi

.install.gitvalidation:
	if [ ! -x "$(GOBIN)/git-validation" ]; then \
		$(call go-get,github.com/vbatts/git-validation); \
	fi

.install.golangci-lint:
	if [ ! -x "$(GOBIN)/golangci-lint" ]; then \
		curl -sfL https://install.goreleaser.com/github.com/golangci/golangci-lint.sh | sh -s -- -b $(GOBIN)/ v1.23.6; \
	fi

install:
	install ${SELINUXOPT} -d -m 755 $(DESTDIR)$(LIBEXECDIR)
	install ${SELINUXOPT} -m 755 bin/dnsname $(DESTDIR)$(LIBEXECDIR)/dnsname

clean:
	rm -fr bin/

test: .install.ginkgo
	$(GO) test -v ./...

vendor:
	export GO111MODULE=on \
		$(GO) mod tidy && \
		$(GO) mod vendor && \
		$(GO) mod verify

.PHONY: vendor-in-container
vendor-in-container:
	podman run --privileged --rm --env HOME=/root -v `pwd`:/src -w /src docker.io/library/golang:1.13 make vendor

.PHONY: \
	binaries \
	test \
	gofmt \
	lint \
	validate \
	vendor

## golang-github-containers-dnsname 1.1.1+ds1

=== debian/changelog ===
golang-github-containers-dnsname (1.1.1+ds1-4) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 07 Dec 2020 17:33:05 -0500

golang-github-containers-dnsname (1.1.1+ds1-3) experimental; urgency=medium

  * Improve package name and description

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 07 Dec 2020 06:39:39 -0500

golang-github-containers-dnsname (1.1.1+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 06 Dec 2020 11:24:00 -0500

golang-github-containers-dnsname (1.1.1+ds1-1) experimental; urgency=medium

  * Initial release (Closes: #976237)

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 02 Dec 2020 09:14:56 -0500

=== debian/control ===
Source: golang-github-containers-dnsname
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-appc-cni-dev,
               golang-github-containernetworking-plugins-dev,
               golang-github-coreos-go-iptables-dev,
               golang-github-onsi-ginkgo-dev,
               golang-github-pkg-errors-dev,
               golang-github-vishvananda-netlink-dev,
               golang-golang-x-sys-dev,
               golang-gomega-dev,
               golang-logrus-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/dnsname
Vcs-Git: https://salsa.debian.org/go-team/packages/dnsname.git
Homepage: https://github.com/containers/dnsname
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/containers/dnsname

Package: golang-github-containernetworking-plugin-dnsname
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Enhances: podman
Description: name resolution for containers
 This CNI plugin sets up the use of dnsmasq on a given CNI network so that Pods
 can resolve each other by name.  When configured, the pod and its IP address
 are added to a network specific hosts file that dnsmasq reads in.  Similarly,
 when a pod is removed from the network, it will remove the entry from the
 hosts file.  Each CNI network will have its own dnsmasq instance.
 .
 The dnsname plugin was specifically designed for the Podman
 container engine.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source
	# move plugin to correct destination
	mv -v debian/golang-github-containernetworking-plugin-dnsname/usr/bin \
	      debian/golang-github-containernetworking-plugin-dnsname/usr/lib

override_dh_auto_test:
	# tests require root

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dnsname-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/containers/dnsname/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-containers-dnsname 1.3.1%2Bds1

=== debian/control ===
Source: golang-github-containers-dnsname
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
           Leo Antunes <costela@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-appc-cni-dev (>= 1.0.1~),
               golang-github-containernetworking-plugins-dev,
               golang-github-coreos-go-iptables-dev,
               golang-github-onsi-ginkgo-dev,
               golang-github-pkg-errors-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-vishvananda-netlink-dev,
               golang-golang-x-sys-dev,
               golang-gomega-dev
Standards-Version: 4.6.0.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-dnsname
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-dnsname.git
Homepage: https://github.com/containers/dnsname
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/containers/dnsname

Package: golang-github-containernetworking-plugin-dnsname
Architecture: any
Depends: dnsmasq-base,
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Enhances: podman
Description: name resolution for containers
 This CNI plugin sets up the use of dnsmasq on a given CNI network so that Pods
 can resolve each other by name. When configured, the pod and its IP address
 are added to a network specific hosts file that dnsmasq reads in.  Similarly,
 when a pod is removed from the network, it will remove the entry from the
 hosts file.  Each CNI network will have its own dnsmasq instance.
 .
 The dnsname plugin was specifically designed for the Podman
 container engine.

## golang-github-containers-dnsname 1.3.1+ds1

=== debian/changelog ===
golang-github-containers-dnsname (1.3.1+ds1-2) unstable; urgency=medium

  * Team upload.
  * Bump cni to 1.0.1
  * Replace transitional package golang-logrus-dev

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 23 Feb 2022 00:45:05 +0800

golang-github-containers-dnsname (1.3.1+ds1-1) unstable; urgency=medium

  [ Lorenz Schori ]
  * [d0787da8] Move dnsname plugin to the correct place (Closes: #985549)
  * [4c158f00] Add missing dnsmasq-base dependency (Closes: #985548, #991525)

  [ Leo Antunes ]
  * [bb7ac3d5] bump policy to 4.6.0.1 (no changes)
  * [8cd85f3a] update debian/* to match current archive package
  * [209cbc5b] debian: add README.source and missing gbp.conf settings

 -- Leo Antunes <costela@debian.org>  Mon, 11 Oct 2021 22:32:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: golang-github-containers-dnsname
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>,
            Leo Antunes <costela@debian.org>
 Section: golang

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source
	# move plugin to correct destination
	mkdir -p debian/golang-github-containernetworking-plugin-dnsname/usr/lib
	mv -v debian/golang-github-containernetworking-plugin-dnsname/usr/bin \
	      debian/golang-github-containernetworking-plugin-dnsname/usr/lib/cni

override_dh_auto_test:
	# tests require root
